Bug 477990 - Review Request: xfce4-settings - Settings Manager for Xfce
Review Request: xfce4-settings - Settings Manager for Xfce
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 19:34 EST by Kevin Fenzi
Modified: 2009-04-14 14:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 14:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-12-26 19:34:25 EST
Spec URL: http://www.scrye.com/~kevin/fedora/xfce4-settings/xfce4-settings.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/xfce4-settings/xfce4-settings-4.5.92-1.fc11.src.rpm
Description: 

This package includes the settings manager applications for the Xfce desktop.

Note: this package is part of the upcoming Xfce 4.6. 
You will need: 
libxfce4util-4.5.92-1.fc11.src.rpm
libxfcegui4-4.5.92-1.fc11.src.rpm
libxfce4menu-4.5.92-1.fc11.src.rpm
exo-0.3.92-1.fc11.src.rpm
(In that order)
Comment 1 Lubomir Rintel 2008-12-27 09:04:35 EST
(In reply to comment #0)
> Note: this package is part of the upcoming Xfce 4.6. 
> You will need:

Apart from the packages you enumerated that were found in xfce4-settings [1] directory, I've also grabbed xfconf [2], since a couple of packages demanded it.

[1] http://www.scrye.com/~kevin/fedora/xfce4-settings/
[2] http://www.scrye.com/~kevin/fedora/xfconf/

* RPMlint is silent and happy
* Spec file is mostly sane and legible
* Compiler flags are used appropriately
* Builds find in mock, with additional repository of xfce packages
* Requires, provides and filelists are sane
* License is correct

A few notes:

1.) Please don't do --vendor ""; in case upstream specifies vendor field, do not reset it, otherwise set it to "fedora"
https://fedoraproject.org/wiki/Packaging/Guidelines#.desktop_file_creation

2.) Please ensure the following is correct:
Build Configuration:
* Installation prefix:       /usr
* Debug Support:             minimum
* Libnotify support:         no
* Xcursor support:           yes
* Sounds settings support    no
* Libxklavier support:       no
Did you really mean to build w/o support for the above?

3.) The following line seems useless:
find $RPM_BUILD_ROOT -name '*.desktop' -ls
I guest it was forgotten there. Please remove it.

I don't think any of the above would warrant a review blocker:

APPROVED
Comment 2 Kevin Fenzi 2008-12-27 20:47:37 EST
>1.) Please don't do --vendor ""; in case upstream specifies vendor field, do
>not reset it, otherwise set it to "fedora"
>https://fedoraproject.org/wiki/Packaging/Guidelines#.desktop_file_creation

Good catch. Fixed to use fedora as vendor (upstream doesn't have one by default)

>2.) Please ensure the following is correct:
>Build Configuration:
>* Installation prefix:       /usr
>* Debug Support:             minimum
>* Libnotify support:         no
>* Xcursor support:           yes
>* Sounds settings support    no
>* Libxklavier support:       no
>Did you really mean to build w/o support for the above?

Nope. Thanks for spotting those. Added some buildrequires to pick them up. 

>3.) The following line seems useless:
>find $RPM_BUILD_ROOT -name '*.desktop' -ls
>I guest it was forgotten there. Please remove it.

Well, it's needed because the make install installs the desktop files, 
and I then install them again with desktop-file-install. I can just use 
--delete-original instead. I will switch to that. 

>I don't think any of the above would warrant a review blocker:
>
>APPROVED

Thanks!

FYI, new package: 

Spec URL: http://www.scrye.com/~kevin/fedora/xfce4-settings/xfce4-settings.spec
SRPM URL:
http://www.scrye.com/~kevin/fedora/xfce4-settings/xfce4-settings-4.5.92-2.fc11.src.rpm

CVS request: 

New Package CVS Request
=======================
Package Name: xfce4-settings
Short Description: Settings Manager for Xfce
Owners: kevin
Branches: devel
InitialCC:
Comment 3 Kevin Fenzi 2008-12-28 14:05:27 EST
cvs done.
Comment 4 Lubomir Rintel 2009-04-14 14:57:57 EDT
I think this was imported and built.

Note You need to log in before you can comment on or make changes to this bug.